class_name HotKeys extends Node


func _ready() -> void:
    signaller.connect('full_screen', Callable(self, 'toggle_full_screen').bind(0))


func _input(event: InputEvent) -> void:
    if event is InputEventKey:
        if event.pressed and event.physical_keycode == KEY_F11:
            signaller.emit_signal('full_screen')


## Переключает режим окна программы полный - обычный экран.
func toggle_full_screen(id: int) -> void:
    var mode = DisplayServer.window_get_mode(id)
    mode = DisplayServer.WINDOW_MODE_WINDOWED           \
        if mode == DisplayServer.WINDOW_MODE_FULLSCREEN \
        else DisplayServer.WINDOW_MODE_FULLSCREEN
    DisplayServer.window_set_mode(mode, id)
